using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SteamWare;

namespace GMW_Term
{
    public partial class SmartList : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // imposto valori visibilità barcode specifici (nascondo testo...)
            mod_barcode1.showHeaderText = true;
            mod_barcode1.showNoteText = true;
            // imposto controllo valori scansionati
            mod_barcode1.eh_scannedUdc += new EventHandler(mod_barcode1_eh_scannedUdc);
            mod_barcode1.eh_scannedUser += new EventHandler(mod_barcode1_eh_scannedUser);
            mod_barcode1.eh_resetUser += new EventHandler(mod_barcode1_eh_resetUser);
            // imposto btnHome
            mod_barcode1.homeBtnText = "btnTermMenuLDP";
            mod_barcode1.homeBtnLink = "~/menuLDP.aspx";
        }

        void mod_barcode1_eh_resetUser(object sender, EventArgs e)
        {
            Response.Redirect("~/Barcode.aspx");
        }

        void mod_barcode1_eh_scannedUser(object sender, EventArgs e)
        {
            Response.Redirect("~/Home.aspx");
        }

        void mod_barcode1_eh_scannedUdc(object sender, EventArgs e)
        {
            Response.Redirect("~/SmartList.aspx");
        }

    }
}
